# NVDA Check Input Gestures (Проверка жестов ввода)

* Автор: Олександр Грищенко
* Версия: 1.0.3
* Совместимость с NVDA: 2019.3 и более новые версии
* Скачать [стабильную версию][1]

Слава Украине! Героям слава!!!

Поиск и исправление конфликтов жестов ввода в NVDA и дополнениях. Общий термин "жесты ввода" объединяет в себе клавиатурные команды, команды введенные с брайлевских клавиатур и жесты, используемые на сенсорных дисплеях.

Каждое из установленных дополнений может вносить изменения в конфигурацию NVDA, добавляя или переопределяя существующие жесты ввода. Если к нескольким функциям будут привязаны одни и те же жесты ввода, это сделает невозможным вызов некоторых из них.

## Поиск дублирующихся жестов
Чтобы выявить дублирующиеся жесты - необходимо вызвать меню NVDA, перейти к подменю "Сервис", далее - "Проверка жестов ввода" и активировать пункт меню "Поиск дублирующихся жестов...".

После этого все используемые в NVDA жесты ввода, будут проверены в следующем порядке:

1. globalCommands (глобальные команды NVDA);
2. globalPlugins (команды установленых дополнений).

Если будут выявлены одинаковые жесты ввода, которые закреплены за различными функциями, то их список будет выведен в отдельном диалоговом окне.

После нажатия клавиши Enter на выбранном пункте в списке, соответствующая функция NVDA будет выбрана и открыта в стандартном диалоговом окне "Жесты ввода...", где можно будет удалить или переопределить привязанный к ней жест.

Примечание: Как известно, функции, которые не имеют текстового описания не отображаются в диалоговом окне "Жесты ввода...". Поэтому после активации такого элемента будет отображено соответствующее предупреждение.

## Жесты без описания
Для просмотра жестов ввода привязанных к функциям без текстового описания, если они будут обнаружены в вашей конфигурации NVDA, необходимо вызвать меню NVDA, перейти к подменю "Сервис", далее - "Проверка жестов ввода" и активировать пункт меню "Жесты без описания...".

Такие функции не отображаются в стандартном диалоговом окне NVDA "Жесты ввода...", поэтому пока нет возможности удалить или переназначить привязанные к ним управляющие жесты.

## Справка
Один из способов просмотреть эту справочную страницу - вызвать меню NVDA, перейти к подменю "Сервис", далее - "Проверка жестов ввода" и активировать пункт меню "Справка".

Примечание: Все функции дополнения представлены в диалоговом окне NVDA "Жесты ввода" и для них можно назначить собственные комбинации клавиш.

## Благодарности
Мы очень благодарны всем, кто прикладывает усилия в разработке, переводе и поддержке дополнения:

* Wafiqtaher - перевод на арабский язык;
* Angelo Miguel Abrantes - перевод на португальский язык;
* Cagri Dogan - перевод на турецкий язык;
* Cary Rowen - перевод на китайский язык.

## Журнал изменений

### Версия 1.0.3
* дополнение протестировано на совместимость с NVDA 2022.1;
* реализован поиск дублирующихся жестов ввода;
* реализован поиск жестов ввода привязанных к функциям без текстового описания.

## Внесение изменений в исходный код дополнения
Вы можете клонировать репозиторий проекта, чтобы внести изменения в исходный код.

### Сторонние зависимости
Следующие модули могут быть установлены при помощи pip:

- markdown
- scons
- python-gettext

### Упаковка дополнения для распространения
1. Откройте командную строку, перейдите в корневой каталог этого репозитория.
2. Запустите команду **scons**. Созданное дополнение при отсутствии ошибок будет помещено в текущий каталог.

[1]: https://addons.nvda-project.org/files/get.php?file=cig
